%define	module	Crypt-OpenPGP
%define name	perl-%{module}
%define	modprefix Crypt

%define version 1.03

%define	rel	1
%define release %mkrel %{rel}

Summary:	Pure-Perl OpenPGP implementation
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Artistic/GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}/
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/%{modprefix}/%{module}-%{version}.tar.gz
%if %{mdkversion} < 1010
BuildRequires:	perl-devel >= 5.8.1
%endif
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-root
BuildRequires:	perl(Data::Buffer) >= 0.04
BuildRequires: perl(MIME::Base64) >= 3.07
BuildRequires: perl(Math::Pari)
BuildRequires: perl(Compress::Zlib)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(URI::Escape)
BuildRequires: perl(Crypt::DSA)
BuildRequires: perl(Crypt::RSA)
BuildRequires: perl(Crypt::IDEA)
BuildRequires: perl(Crypt::DES_EDE3)
BuildRequires: perl(Crypt::Rijndael)
BuildRequires: perl(Crypt::CAST5_PP)
BuildRequires: perl(Crypt::RIPEMD160)
BuildRequires: perl(Crypt::Twofish) >= 2.00
BuildRequires: perl(Crypt::Blowfish)


%description
Crypt::OpenPGP is a pure-Perl implementation of the OpenPGP stan- dard[1]. In
addition to support for the standard itself, Crypt::OpenPGP claims
compatibility with many other PGP implementations, both those that support the
standard and those that preceded it.

Crypt::OpenPGP provides signing/verification, encryption/decryption, keyring
management, and key-pair generation; in short it should provide you with
everything you need to PGP-enable yourself. Alternatively it can be used as
part of a larger system; for example, perhaps you have a web-form-to-email
generator written in Perl, and you'd like to encrypt outgoing messages, because
they contain sensitive information.  Crypt::OpenPGP can be plugged into such a
scenario, given your public key, and told to encrypt all messages; they will
then be readable only by you.

%prep
%setup -q -n %{module}-%{version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
# this test works under iurt as user, but not under build system
rm -f t/07-digest.t
%__make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%{perl_vendorlib}/%{modprefix}/*
%{_mandir}/*/*


%changelog
* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.03-1mdv2009.0
+ Revision: 136699
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Jun 26 2007 Buchan Milne <bgmilne@mandriva.org> 1.03-1mdv2008.0
+ Revision: 44555
- Drop test 7 (which doesnt work under the build system)
- Buildrequire Crypt::Blowfish
- Import perl-Crypt-OpenPGP



* Thu Jun 21 2007 Buchan Milne <bgmilne@mandriva.org> 1.03-1mdv2007.1
- initial package
